Subject: Re: [PATCH] CodingGuidelines: give deadline for "for (int i = 0; ..."

From: Junio C Hamano <[email-masked]>
Date: Thu, 31 Mar 2022 13:12:09 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> A separate weather balloon for C99 as a whole was raised separately
>> in 7bc341e2 (git-compat-util: add a test balloon for C99 support,
>> 2021-12-01).  Hopefully, as we find out that all C99 features are OK
>> on all platforms we care about, we can stop probing the features we
>> want one-by-one like this
>
> Unfortunately this really isn't the case at all, the norm is for
> compilers to advertise that they support verison X of the standard via
> these macros when they consider the support "good enough", but while
> there's still a long list of unimplemented features before they're at
> 100% support (and most never fully get to 100%).
>
> We also need to worry about the stdlib implementation, and not just the
> compiler, see e.g. the %zu format and MinGW in the exchange at
> https://lore.kernel.org/git/[email-masked]/
> and
> https://lore.kernel.org/git/[email-masked]/;
>
> But I think we're thoroughly past needing to worry about basic language
> features in C99 such as these inline variable declarations.

Well, that makes it sound like the C99 weather balloon was almost
useless, doesn't it?

In any case, I'll strick the last paragraph from the final log
message, as the patch text itself is about one specific feature, and
not about deciding what our policy for various C99 language
feeatures ought to be.

Thanks.